GET api/mediwaveprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "5d375fc4-e735-4501-b566-f344998eb310",
"program_id": "5c1f6056-d11b-47c4-8d47-1ee7924d52c5",
"mediwave_program_step_type_id": "d105d5a2-c3d0-4502-afbe-142c09b79f13",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>5d375fc4-e735-4501-b566-f344998eb310</id> <mediwave_program_step_type_id>d105d5a2-c3d0-4502-afbe-142c09b79f13</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>5c1f6056-d11b-47c4-8d47-1ee7924d52c5</program_id> </mediwave_program_step>